#ifndef _PRIKAZ_H
#define _PRIKAZ_H

#include <map>
#include <string>

using namespace std;

class Prikaz{
map<string,int> mapPrikaz;
map<string,int>::iterator it;

public:

// prirazuje jednotlivim prikazum identifikachni cislo pri switch
Prikaz(){
    mapPrikaz[".inputs"] = 1;
    mapPrikaz[".outputs"] = 2;
    mapPrikaz["#@.init_state"] = 3;
    mapPrikaz[".graph"] = 4;        
    mapPrikaz[".marking"] = 5; 
    mapPrikaz[".end"] = 6; 
    mapPrikaz[".name"] = 7; 
    mapPrikaz[".internal"] = 8; 
    mapPrikaz["#"] = 9;                 
    }      

//-----------------------------------------------------------------------------
//srovnava vzory prikazu s vstupnimi prikazy vraci identifikacni cislo prikazu
int command(string str){
    

    for(it = mapPrikaz.begin();it != mapPrikaz.end();it++)
    if(!str.compare(it->first))
    return it->second;
    
    return 0;
    }       

};

#endif
